<mat-card>
  <mat-card-header>
    <mat-paginator
      #paginator
      class="paginator"
      (page)="handlePageEvent($event)"
      [length]="length"
      [pageSize]="pageSize"
      [disabled]="disabled"
      [showFirstLastButtons]="showFirstLastButtons"
      [pageSizeOptions]="showPageSizeOptions ? pageSizeOptions : []"
      [hidePageSize]="hidePageSize"
      [pageIndex]="pageIndex"
      aria-label="Select page">
    </mat-paginator>
  </mat-card-header>
</mat-card>
<mat-card>
  <mat-card-content style="margin-top: 10px">
    <mat-card-subtitle>
      <mat-form-field>
        <mat-label>Filter nach Projekt</mat-label>
        <mat-select placeholder="Filter nach Projekt" [(ngModel)]="selected" (ngModelChange)="handleFilterEvent()">
          <mat-option value="None">Kein Filter</mat-option>
          <mat-option [value]="pushEntry.projectId"
                      *ngFor="let pushEntry of currentPushEntries || []">{{pushEntry.name}}</mat-option>
        </mat-select>
      </mat-form-field>
    </mat-card-subtitle>
  </mat-card-content>
</mat-card>
<app-history-entry [historyEntity]="historyEntity"
                   *ngFor="let historyEntity of historyPushEntries || []"></app-history-entry>

